mk_phantom_3d(1)

NAME
mk_phantom_3d - Generate phantom image

SYNOPSIS
mk_phantom_3d [options] command0 [command1 ...]
     sphere x,y,z radius value
     box x0,y0,z0 x1,y1,z1 value

DESCRIPTION
Generate 3D digital phantom images using a selection of drawing commands

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--dims <string>, -D <string>
    Set dimensions in voxels

--voxel <string>, -V <string>
    Set voxel size in [mm]

--coordinates
    Coordinate specification mode. Supported values: "indexed", "absolute", "relative", where the default is "indexed", or use one of the following:

    --indexed
        Use grid indexes to specify coordinates. For each dimension, the valid value range is [0,Dims-1]. [This is the default]

    --absolute
        Use absolute volume coordinates. For each dimension, the valid range is [0,FOV].

    --relative
        Use relative volume coordinates. For each dimension, the valid range is [0,1].

--char, -c
    8 bits, signed

--byte, -b
    8 bits, unsigned

--short, -s
    16 bits, signed

--ushort, -u
    16 bits, unsigned [This is the default]

--int, -i
    32 bits signed

--float, -f
    32 bits floating point

--double, -d
    64 bits floating point

--bg <double>, -B <double>
    Set the image background value (use to initialize newly created image). [Default: 0]

--import <string>, -I <string>
    Import image [Default: NONE]

--import-grid <string>
    Import image grid only, ignore data [Default: disabled]

--outfile <string>, -o <string>
    File name for output image [Default: phantom.nii ]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.